Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I get the following error when I execute the gui.py script on my newly installed Ubuntu 12.04 LTS. Please help as I have recently started using Ubuntu, I am not too good at debugging yet.

I get this error when I am trying to open the GUI of an open source software RevKit

sushanttrivedi@ubuntu:~/project/revkit-1.3$ ./tools/gui/gui.py
Traceback (most recent call last):
  File "./tools/gui/gui.py", line 143, in <module>
    w = MainWindow()
  File "./tools/gui/gui.py", line 73, in __init__
    self.setupTools()
  File "./tools/gui/gui.py", line 102, in setupTools
    import items.unstable
ImportError: No module named unstable

What exactly is this error? is it because there is some background package missing? Thanks for the help.

share|improve this question

1 Answer 1

What it is saying is that within "items" there is no module named "unstable".

Some things to try:

Open a terminal and run the python interpreter and import items and then try help(items).

You might be able to try sudo pip install items or sudo pip install revkit_python

Although it seems like items is a specific module related to revkit.

Some files might need to be made try: ./configure; make && make install within the revkit folder.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.